Functions
IT_Management
Peripheral Driver » LL Driver » QSPI » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_qspi_enable_it (qspi_regs_t *QSPIx, uint32_t mask)
| Enable interrupt. More...
__STATIC_INLINE void | ll_qspi_disable_it (qspi_regs_t *QSPIx, uint32_t mask)
| Disable interrupt. More...
__STATIC_INLINE uint32_t | ll_qspi_is_enabled_it (qspi_regs_t *QSPIx, uint32_t mask)
| Check if interrupt is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_qspi_disable_it()

__STATIC_INLINE void ll_qspi_disable_it | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | mask
| ) |  |

Disable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

Register | BitsName
--- | ---
INTMASK | INTMASK

Parameters

  QSPIx | QSPI instance
  mask | This parameter can be one of the following values: LL_QSPI_IM_SPITE LL_QSPI_IM_TXU LL_QSPI_IM_XRXO LL_QSPI_IM_MST(not effect in SPIS) LL_QSPI_IM_RXF LL_QSPI_IM_RXO LL_QSPI_IM_RXU LL_QSPI_IM_TXO LL_QSPI_IM_TXE

Return values

  None |

Definition at line 1782 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_it()

__STATIC_INLINE void ll_qspi_enable_it | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | mask
| ) |  |

Enable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

Register | BitsName
--- | ---
INTMASK | INTMASK

Parameters

  QSPIx | QSPI instance
  mask | This parameter can be one of the following values: LL_QSPI_IM_SPITE LL_QSPI_IM_TXU LL_QSPI_IM_XRXO LL_QSPI_IM_MST(not effect in SPIS) LL_QSPI_IM_RXF LL_QSPI_IM_RXO LL_QSPI_IM_RXU LL_QSPI_IM_TXO LL_QSPI_IM_TXE

Return values

  None |

Definition at line 1756 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_enabled_it()

__STATIC_INLINE uint32_t ll_qspi_is_enabled_it | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | mask
| ) |  |

Check if interrupt is enabled.

Register | BitsName
--- | ---
INTMASK | INTMASK

Parameters

  QSPIx | QSPI instance
  mask | This parameter can be one of the following values: LL_QSPI_IM_SPITE LL_QSPI_IM_TXU LL_QSPI_IM_XRXO LL_QSPI_IM_MST(not effect in SPIS) LL_QSPI_IM_RXF LL_QSPI_IM_RXO LL_QSPI_IM_RXU LL_QSPI_IM_TXO LL_QSPI_IM_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1807 of file gr55xx_ll_qspi.h.